[Unit]
Description=Daphne daemon for Django Project - {{ PROJECT_NAME }}
Before=nginx.service
After=network.target

[Service]
WorkingDirectory={{ PATH_TO_PROJECT }}

# run ExecStartPre as priviledged user and set up required directories
PermissionsStartOnly=true
ExecStartPre=-/bin/mkdir /run/{{ ALIAS }}
ExecStartPre=-/bin/chown -R {{ USER }}:{{ USER }} /run/{{ ALIAS }}
ExecStartPre=-/bin/mkdir /var/log/{{ ALIAS }}
ExecStartPre=-/bin/chown -R {{ USER }}:{{ USER }} /var/log/{{ ALIAS }}

ExecStart={{ PATH_TO_ENV }}/bin/daphne \
       -u {{PATH_TO_SOCKETS}}/{{ ALIAS }}.sock --access-log /var/log/{{ ALIAS }}/asgi.log \
        {{ PROJECT }}.asgi:application

Restart=always
SyslogIdentifier={{ ALIAS }}
User={{ USER }}
Group={{ USER }}


[Install]
WantedBy=multi-user.target
